QGIS Application - Bug report #3184
Strange behavior of dissolve tool
2010-11-03 02:51 AM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Map Canvas

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 13244
Description

There are two layers in attachment. Both layers looks the same. Try to dissolve these layers. Layer with "clear" name dissolves flawlessly,
but "unclear" layer represents one polygon with not dissolved boundary.

History

#1 - 2010-11-04 05:02 AM - dr -

It is becoming more clear to me. If open attribute table "clear" and "unclear" and copy attribute to clipboard, may see that precision of WKT geometries is 6

number of digit after comma and "clear"'s and "unclear"'s WKT represents of geometries looks the same. But If export this data into [[PostGIS]] database

and take a look on WKT geometries may see that precision of WKT geometries is 8 number of digit after comma and "clear"'s and "unclear"'s WKT
geometries is differently. | guess, that in QGIS precision of geometries using in dissolve tools and while rendering is different values. Is it possible to do

them the same for possibility to distinguish nodes more precisely?

#2 - 2010-11-08 03:57 PM - cfarmer -
- Resolution set to duplicate
- Status changed from Open to Closed

This is really a duplicate of #3126, and appears to boil down to the precision of the layers, rather than an actual problem with the dissolve tool. Unlike Arc*,
QGIS (and GEOS) do not use any tolerance when unioning geometries (which is what the dissolve tool uses). As such, layers with 'nearly' identical
geometries will not be dissolved as if they were identical. A solution to this is to use the simplify tool beforehand, or to reduce the precision of your vector
layers.

| am going to close this one as duplicate.

Carson

Files

dissolve.zip 2.66 KB 2010-11-03 dr-

2025-04-27 1/1




